| Home | Libraries | People | FAQ | More

## Reference

### Header <boost/none.hpp>

#### Synopsis

    namespace boost {

    class none_t {};

    extern const none_t none; // see below

    } // namespace boost

Variable `none` has external linkage, however it is not required to link with any library to obtain its definition. Only by including this header file, the definition becomes available, by means of using template instantiation.